
Redmine - Feature #1354

akismet for spam filtering

2008-06-02 20:54 - Christoph Koehler

Status: New Start date: 2008-06-02

Priority: Normal Due date:  

Assignee:  % Done: 20%

Category: Plugin Request Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

It would be nice to have a setting to allow akismet to filter for spam.

Related issues:

Related to Redmine - Feature #675: Anti-spam or captcha for issues New 2008-02-16

History

#1 - 2008-06-13 19:19 - Christoph Koehler

- Assignee set to Jean-Philippe Lang

#2 - 2008-09-08 07:26 - Derek Montgomery

Yeah really, once you got one spam, it just keeps happening...

Please please provide any antispam mesure you see fit!!!!!

#3 - 2008-09-17 16:21 - Derek Montgomery

Still nothing on that?

:(

#4 - 2008-12-26 02:00 - Adam Knight

I'd love to leave Redmine open and allow anonymous folks to create tickets and such, but before I even look to see if there's a way to wiggle that in,

this is a must.  There must be a way (Akismet, ReCaptcha, etc.) to prevent spammers from abusing the system before that's feasible.

#5 - 2009-04-03 00:58 - Brad Beattie

Seeing a fair amount of spam lately, I'm going to see if I can't provide the necessary hooks for anti-spam plugins. Ideally, I'd like it to be flexible

enough to support content-filterers (e.g. Akismet, Mollom) and captchas for young users (e.g. Recaptcha). I'll post my patch here when I have it

ready.

#6 - 2009-05-15 19:19 - Brad Beattie

Brad Beattie wrote:

Seeing a fair amount of spam lately, I'm going to see if I can't provide the necessary hooks for anti-spam plugins. Ideally, I'd like it to be flexible

enough to support content-filterers (e.g. Akismet, Mollom) and captchas for young users (e.g. Recaptcha). I'll post my patch here when I have it

ready.

 Got diverted by other things, but I found this akismet library in ruby today. That should provide a decent starting point.

#7 - 2009-05-15 20:15 - Brad Beattie

- File akismet.patch added

- % Done changed from 0 to 20

Okay, this is just a first go, but it doesn't work yet.

Not sure how to get the request object into the model to work with

Not sure how to get the site url

Doesn't allow any review of whether or not something's spam, just outright denies the object creation. Instead, it should create the message, but

set the spam column to true. The forum controller then needs to filter those out.

But yeah, just a start.
http://github.com/franklouwers/radiant-comments/blob/128d6d742e2ac7e449ba222f7ee7e4c0737203d6/lib/akismet.rb


#8 - 2011-09-27 17:42 - Etienne Massip

- Category set to Plugin Request

- Assignee deleted (Jean-Philippe Lang)

#9 - 2014-03-16 06:36 - Guru M

Hi,

Brad Miller Beattie

This Akismet anti-spam for Rails might be useful.

"Easy Akismet and TypePad AntiSpam integration for Rails - Rakismet" by Josh French : https://github.com/joshfrench/rakismet

It exposes query and review submission methods like

spam? (predicate)

ham! (false positive)

spam! (submit)

Regards,

Guru M.

Files

akismet.patch 9.03 KB 2009-05-15 Brad Beattie
